Bug 204041 - devel/gdb: Explicitly disable guile in configure when GUILE option is disabled
Summary: devel/gdb: Explicitly disable guile in configure when GUILE option is disabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-10-26 16:53 UTC by Yuri Victorovich
Modified: 2015-11-11 13:50 UTC (History)
3 users (show)

See Also:
luca.pizzamiglio: maintainer-feedback+
tijl: merge-quarterly+


Attachments
patch (606 bytes, patch)
2015-10-26 16:54 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-10-26 16:53:25 UTC
As it turns out GUILE=on adds --with-guile option, but GUILE=off doesn't add any option, and in such case configure treats it as --with-guile=auto and tries to find an existing guile, which isn't the desired behavior.

The attached patch fixes this problem by adding --without-guile for GUILE=off.
Comment 1 Yuri Victorovich freebsd_committer 2015-10-26 16:54:04 UTC
Created attachment 162476 [details]
patch
Comment 2 luca.pizzamiglio 2015-10-29 17:02:23 UTC
Comment on attachment 162476 [details]
patch

the patch is OK, but I'm not sure that the PORTREVISION should bu bumped.
Comment 3 luca.pizzamiglio 2015-10-29 17:05:27 UTC
The patch is fine, but I guess that the PORTREVISION should not be bumped.

PS: I don't know why, but I've some trouble to set flags on patches
Comment 4 Yuri Victorovich freebsd_committer 2015-10-29 18:08:18 UTC
PORTREVISION doesn't matter because this is a minor patch.
Comment 5 commit-hook freebsd_committer 2015-11-11 13:12:13 UTC
A commit references this bug:

Author: tijl
Date: Wed Nov 11 13:12:03 UTC 2015
New revision: 401242
URL: https://svnweb.freebsd.org/changeset/ports/401242

Log:
  - Pass --without-guile to configure when GUILE option is off
  - Use CONFIGURE_WITH for other options as well

  PR:		204041

Changes:
  head/devel/gdb/Makefile
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-11 13:16:13 UTC
@Tijl, does this need MFH?

ie; without this change, if guile is installed , will gdb find it, resulting in an untracked dependency, or is/was this change purely proactive?
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-11 13:16:57 UTC
I believe given the description in comment 0, that that is the case
Comment 8 commit-hook freebsd_committer 2015-11-11 13:50:17 UTC
A commit references this bug:

Author: tijl
Date: Wed Nov 11 13:49:57 UTC 2015
New revision: 401245
URL: https://svnweb.freebsd.org/changeset/ports/401245

Log:
  MFH: r401242

  - Pass --without-guile to configure when GUILE option is off
  - Use CONFIGURE_WITH for other options as well

  PR:		204041
  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/devel/gdb/Makefile